import Request from '../common/request.js';
let request = new Request().http

// 统计经销商会员总数和群管总数
export function getCompanyUserAndUserCount(data) {
	return request('/fsUser/getCompanyUserAndUserCount', data,'POST','application/json;charset=UTF-8');
}

// 课程统计
export function getCourseCount(data) {
	return request('/fsCourseWatchLog/getCompanyUserAndUserCount', data,'POST','application/json;charset=UTF-8');
}

// 答题统计
export function getQuesCount(data) {
	return request('/fsAnswerLog/getCompanyUserAndUserCount', data,'POST','application/json;charset=UTF-8');
}

// 红包统计
export function getRecPacketCount(data) {
	return request('/fsCourseRedPacket/getRecPacketCount', data,'POST','application/json;charset=UTF-8');
}

// 获取课程列表
export function getFsCourseList(data) {
	return request('/fsCourseRedPacket/getFsCourseList', data,'POST','application/json;charset=UTF-8');
}

// 根据训练营查询节目
export function getCourseVdieoList(data) {
	const url = '/fsCourseRedPacket/getCourseVdieoPageList?courseId='+data.courseId +'&pageNum='+data.pageNum + '&pageSize='+data.pageSize+'&status='+data.status
	return request(url, null,'POST','application/json;charset=UTF-8');
}

// 根据观看记录查询用户
export function getUserLogListByCourseId(data) {
	const url = '/fsCourseRedPacket/getUserLogListByCourseId'
	return request(url, data,'POST','application/json;charset=UTF-8');
}

// 修改用户
export function updateFsUser(data) {
	const url = '/fsUser/updateFsUser'
	return request(url, data,'POST','application/json;charset=UTF-8');
}