export function formatSeconds(seconds, type) {
	let hours = Math.floor(seconds / 3600);
	let minutes = Math.floor((seconds - (hours * 3600)) / 60);
	let secs = seconds - (hours * 3600 + minutes * 60);

	hours = hours == 0 ? '' : hours.toString().padStart(2, '0');
	minutes = hours == 0 && minutes == 0 ? '' : minutes.toString().padStart(2, '0');
	secs = hours == 0 && minutes == 0&&secs == 0 ? '' : secs.toString().padStart(2, '0');
	// 汉字1，：隔开0
	if(type == 1) {
		return `${hours&&hours+'时'}${minutes&&minutes+'分'}${secs&&secs+'秒'}`
	} else {
		return `${hours&&hours+':'}${minutes&&minutes+':'}${secs}`
	}
};